Skip to main content
POST
/
connectors
/
consumers
/
{consumer_id}
/
accounts
/
payment
Create Payment Account
curl --request POST \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/accounts/payment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_account": "FR7630006000011234567890189",
  "owner_info": {
    "address": {
      "city": "Paris",
      "country": "France",
      "street": "<string>",
      "zip_code": 84120,
      "region": null
    },
    "name": null
  }
}
'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/accounts/payment"

payload = {
"target_account": "FR7630006000011234567890189",
"owner_info": {
"address": {
"city": "Paris",
"country": "France",
"street": "<string>",
"zip_code": 84120,
"region": None
},
"name": None
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_account: 'FR7630006000011234567890189',
owner_info: {
address: {
city: 'Paris',
country: 'France',
street: '<string>',
zip_code: 84120,
region: null
},
name: null
}
})
};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/accounts/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "target_account": "FR7630006000011234567890189",
  "id": "e2c32b4b-de61-459b-accf-a75f76247946",
  "owner_info": {
    "address": {
      "city": "Paris",
      "country": "France",
      "street": "<string>",
      "zip_code": 84120,
      "region": null
    },
    "name": null
  },
  "payout_account": "FR7630006000011234567890189",
  "status": true
}
{
"errors": {},
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}
{
"errors": {},
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

Body

application/json
target_account
string
required

Consumer payment account object

Example:

"FR7630006000011234567890189"

owner_info
object

Response

Created

target_account
string
required

Consumer payment account object

Example:

"FR7630006000011234567890189"

id
string<uuid>
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

owner_info
object
payout_account
string | null
read-only

Consumer payout account object

Example:

"FR7630006000011234567890189"

status
boolean
read-only

TRUE: Payment account is valid, FALSE: Payment account is not valid

Example:

true